cURL
curl --request GET \
--url https://us.infisical.com/api/v1/shared-secrets/{id}import requests
url = "https://us.infisical.com/api/v1/shared-secrets/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/shared-secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPasswordProtected": true,
"isAuthorizedUser": true,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAfterViews": 123,
"accessType": "anyone",
"name": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"type": "share",
"identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Shared Secrets
Get by ID
Returns the full shared secret object without revealing the secret value. Authentication is required for shared secrets that are scoped to an organization.
GET
/
api
/
v1
/
shared-secrets
/
{id}
cURL
Path Parameters
The ID of the shared secret to retrieve.
Response
Default Response
Whether the shared secret is protected by a password.
Whether the current user is an authorized org member. If false, the user must provide a password.
Was this page helpful?
⌘I